/* navbar */

.navbar {
  .menu-toggle {
    position: fixed;
    top: 40px;
    left: 40px;
    display: block;
    width: 40px;
    height: 40px;
    @include flex(center, center);
    padding: 5px;
    border: none;
    outline: none;
    border-radius: 5px;
    background-color: $light-gray;
    z-index: 9999999;

    .bar {
      display: inline-block;
      position: relative;
      width: 20px;
      height: 2px;
      background-color: $dark-gray;

      &::before,
      &::after {
        content: "";
        position: absolute;
        left: 0;
        width: 20px;
        height: 2px;
        background-color: $dark-gray;
        top: -5px;
        transition: all 0.5s linear;
      }

      &::after {
        top: unset;
        bottom: -5px;
      }
    }

    &.open {
      background-color: $dark-gray;
      .bar {
        height: 0;

        &:after {
          top: -2px;
          background-color: $light-gray;
          transform: rotate(135deg);
        }

        &:before {
          top: -2px;
          background-color: $light-gray;
          transform: rotate(45deg);
        }
      }
    }
  }

  .menu-toggle.dark {
    background-color: $dark-gray;

    .bar {
      background-color: $light-gray;

      &::before,
      &::after {
        background-color: $light-gray;
      }
    }
  }

  &-list {
    display: none;
    position: fixed;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    background-color: $dark-gray;
    list-style: none;
    margin: 0;
    padding: 0;
    z-index: 999999;
  }

  &-list.open {
    display: flex;
  }

  &-item {
    display: block;
    margin: 10px 0;
    padding: 5px 0;
    text-align: center;
  }

  &-link {
    display: block;
    margin: 0;
    color: $light-gray;
    text-decoration: none;
    font-size: 14px;
    font-weight: 700;
  }
}

/* new quote button */

.new-quote-btn {
  display: inline-block;
  position: fixed;
  width: auto;
  top: 40px;
  right: 40px;
  z-index: 999999;
  font-size: 16px;
  display: none;
  transition: all linear 0.2s;
}

@media only screen and (max-width: 768px) {
  .navbar .menu-toggle {
    top: 15px;
    left: 15px;
    width: 35px;
    height: 35px;
  }

  .new-quote-btn {
    top: 15px;
    right: 15px;
  }
}
